<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class EdarateOstani extends Model
{
    use HasFactory;
    protected $table = 'edarate_ostani';

    public function roadObserved()
    {
        return $this->morphMany(RoadObserved::class, 'handler');
    }

    public function roadItemsProjects()
    {
        return $this->morphMany(RoadItemsProject::class, 'edarat');
    }
}
